Bug 132241 - add LATEST_LINK to ports: lang/tcl84, lang/tcl85, lang/tcl86
add LATEST_LINK to ports: lang/tcl84, lang/tcl85, lang/tcl86
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Martin Matuska
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-02 03:30 UTC by Timothy Beyer
Modified: 2009-03-02 10:41 UTC (History)
1 user (show)

See Also:


Attachments
Makefile-tcl84.diff (343 bytes, patch)
2009-03-02 03:30 UTC, Timothy Beyer
no flags Details | Diff
Makefile-tcl86.diff (331 bytes, patch)
2009-03-02 03:30 UTC, Timothy Beyer
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Timothy Beyer 2009-03-02 03:30:01 UTC
This patch makes the following changes:

Adds LATEST_LINK to ports: lang/tcl84, lang/tcl85, lang/tcl86

The reason for these patches is because without this patch, the three tcl ports mentioned may overwrite the shared port options file in /var/db/ports/tcl/options when configuration options are updated for any of those ports.  Since it is legitimate and common for these ports to be installed in parallel, each port should use it's own separate directory for the options file, and the way to do this is via the LATEST_LINK variable.  Without this patch, scripts that mass configure ports that have new port options added will not generally work for TCL based ports, because each time the most recent tcl configuration may override previous tcl configurations.

This patch solves this issue completely, without resorting to appending new options to the existing /var/db/ports/tcl/options

Fix: The following patches:

--- Makefile.orig	2009-02-26 23:09:02.000000000 -0800
+++ Makefile	2009-03-01 13:41:53.000000000 -0800
@@ -17,6 +17,7 @@
 MAINTAINER=	mm@FreeBSD.org
 COMMENT=	Tool Command Language
 
+LATEST_LINK=	tcl85
 PATCH_DIST_ARGS=	-d ${WRKDIR}/${DISTNAME} -E ${PATCH_DIST_STRIP}
 WRKSRC=		${WRKDIR}/${DISTNAME:S/-src//}/unix
 ALL_TARGET=	all
--- Makefile-tcl85.diff ends here ---
How-To-Repeat:     N/A
Comment 1 Edwin Groothuis freebsd_committer 2009-03-02 03:30:12 UTC
Responsible Changed
From-To: freebsd-ports-bugs->mm

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter freebsd_committer 2009-03-02 10:31:48 UTC
mm          2009-03-02 10:31:33 UTC

  FreeBSD ports repository

  Modified files:
    lang/tcl84           Makefile 
    lang/tcl85           Makefile 
    lang/tcl86           Makefile 
  Log:
  - Change the location of LATEST_LINK to make it work
  - Bump PORTREVISION
  
  PR:             ports/132241
  Submitted by:   Timothy Beyer <beyert@cs.ucr.edu>
  
  Revision  Changes    Path
  1.115     +3 -4      ports/lang/tcl84/Makefile
  1.23      +3 -4      ports/lang/tcl85/Makefile
  1.25      +3 -3      ports/lang/tcl86/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Martin Matuska freebsd_committer 2009-03-02 10:41:26 UTC
State Changed
From-To: open->closed

Committed, with changes. Thanks!